[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#605252: unblock: dotlrn/2.5.0+dfsg-2 and openacs/5.5.1+dfsg-2



Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package dotlrn and openacs, they both fix a security
issue and update translations. See
http://openacs.org/forums/message-view?message_id=3505644
for disclosure.

Changelog snippets:

openacs (5.5.1+dfsg-2) unstable; urgency=high

   * Fixed severe vulnerability in the api-browser: it was possible to pass
     to the query parameter "path" a relative path, which might contain path
     traversals like ../../.. . With these all files with read permissions
     can be delivered via the server. Applied Patch:
     http://fisheye.openacs.org/changelog/OpenACS/?cs=oacs-5-5:gustafn:20101125091953
   * Updated translations:
     - Vietnamese. Closes: #599607
     - Czech. Closes: #599606
     - Danish. Closes: #599004
     - Japanese. Closes: #598364

dotlrn (2.5.0+dfsg-2) unstable; urgency=high

   * Fixed severe vulnerability in the api-browser: it was possible to pass
     to the query parameter "path" a relative path, which might contain path
     traversals like ../../.. . With these all files with read permissions
     can be delivered via the server. Applied Patch:
     http://fisheye.openacs.org/changelog/OpenACS/?cs=oacs-5-5:gustafn:20101125091953
   * Updated translations:
     - Japanease. Closes: #602151
     - Vietnamese. Closes: #599609
     - Czech. Closes: #599608

unblock dotlrn/2.5.0+dfsg-2
unblock openacs/5.5.1+dfsg-2

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Reply to: